elhacker.net cabecera Bienvenido(a), Visitante. Por favor Ingresar o Registrarse
¿Perdiste tu email de activación?.

 

 


Tema destacado: Introducción a Git (Primera Parte)


  Mostrar Mensajes
Páginas: 1 ... 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 [34] 35 36 37
331  Programación / Scripting / Re: [BATCH] [VBS] Crear un script para subir un archivo a Mediafire? en: 13 Junio 2011, 00:32 am
Buenas pitoloko: he buscado en la página directa de Mediafire y allí no aparece nada... no parece que haya ninguna API para hacerlo...

Es posible que se me haya pasado por alto, así que mira aquí:
http://support.mediafire.com/index.php?/Knowledgebase/List

Y, en concreto, he encontrado información sobre una API para descargar, pero no para subir...
http://support.mediafire.com/index.php?/Knowledgebase/Article/View/60/8/downloader-agent-api

Peero...



1.-Un script en bash: mírate el código
Código
  1. #!/bin/bash
  2. #
  3. # Copyright (c) 2011 vittorio benintende
  4. # (vittorio@lucullo.it - http://www.morzello.com).
  5. # All rights reserved.
  6. #
  7. # Redistribution and use in source and binary forms, with or without
  8. # modification, are permitted provided that the following conditions
  9. # are met:
  10. #
  11. # 1. Redistributions of source code must retain the above copyright
  12. #    notice, this list of conditions and the following disclaimer.
  13. #
  14. # 2. Redistributions in binary form must reproduce the above copyright
  15. #    notice, this list of conditions and the following disclaimer in the
  16. #    documentation and/or other materials provided with the distribution.
  17. #
  18. # 3. Neither the name of the Site nor the names of its contributors
  19. #    may be used to endorse or promote products derived from this software
  20. #    without specific prior written permission.
  21. #
  22. # THIS SOFTWARE IS PROVIDED BY THE SITE AND CONTRIBUTORS ``AS IS'' AND
  23. # ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  24. # IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
  25. # ARE DISCLAIMED.  IN NO EVENT SHALL THE SITE OR CONTRIBUTORS BE LIABLE
  26. # FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
  27. # DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
  28. # OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
  29. # HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
  30. # LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
  31. # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  32. # SUCH DAMAGE.
  33. #
  34. #
  35. # --- PARAMS ---
  36. #
  37. # login and password must be url-encoded!
  38. #
  39.  
  40. MF_LOGIN='mediafire%40morzello.com'
  41. MF_PWD='mypass'
  42.  
  43. # --- PARAMS ---
  44. #
  45. # DO NOT MODIFY LINES BELOW
  46. #
  47.  
  48. MF_FILES="$@"
  49.  
  50. if [ "z${MF_FILES}" = "z" ]; then
  51. echo
  52. echo "No file(s) specified."
  53. echo
  54. echo "USAGE: $0 : file1 file2 ..."
  55. echo
  56.  
  57. exit 1
  58. fi
  59.  
  60. OUTPUT_FILE=$(mktemp)
  61. COOKIE_FILE=$(mktemp)
  62.  
  63. rdom () { local IFS=\> ; read -d \< E C ;}
  64.  
  65. wget -q --save-cookies ${COOKIE_FILE} --keep-session-cookies -O /dev/null "https://www.mediafire.com/"
  66.  
  67. wget -q --load-cookies ${COOKIE_FILE} --save-cookies ${COOKIE_FILE} --keep-session-cookies --referer="https://www.mediafire.com/" \
  68.     --post-data "login_email=${MF_LOGIN}&login_pass=${MF_PWD}&login_remember=on&submit_login.x=97&submit_login.y=18" \
  69.     -O /dev/null "https://www.mediafire.com/dynamic/login.php"
  70.  
  71. wget -q --load-cookies ${COOKIE_FILE} --save-cookies ${COOKIE_FILE} --keep-session-cookies --referer="https://www.mediafire.com/myfiles.php" \
  72.     -O ${OUTPUT_FILE} "https://www.mediafire.com//basicapi/uploaderconfiguration.php?45144"
  73.  
  74. UPLOAD_SESSION=$(while rdom; do
  75.    if [[ ${E} = "upload_session" ]]; then
  76.        echo ${C}
  77.        exit
  78.    fi
  79. done < ${OUTPUT_FILE})
  80.  
  81. # echo "Upload Session = ${UPLOAD_SESSION}"
  82.  
  83. UKEY=$(while rdom; do
  84.    if [[ ${E} = "ukey" ]]; then
  85.        echo ${C}
  86.        exit
  87.    fi
  88. done < ${OUTPUT_FILE})  
  89.  
  90. # echo "UKey = ${UKEY}"
  91.  
  92. TRACKKEY=$(while rdom; do
  93.    if [[ ${E} = "trackkey" ]]; then
  94.        echo ${C}
  95.        exit
  96.    fi
  97. done < ${OUTPUT_FILE})
  98.  
  99. # echo "Track Key = ${TRACKKEY}"
  100.  
  101. FOLDERKEY=$(while rdom; do
  102.    if [[ ${E} = "folderkey" ]]; then
  103.        echo ${C}
  104.        exit
  105.    fi
  106. done < ${OUTPUT_FILE})  
  107.  
  108. # echo "Folder Key = ${FOLDERKEY}"
  109.  
  110. MFULCONFIG=$(while rdom; do
  111.    if [[ ${E} = "MFULConfig" ]]; then
  112.        echo ${C}
  113.        exit
  114.    fi
  115. done < ${OUTPUT_FILE})  
  116.  
  117. # echo "MFUL Config = ${MFULCONFIG}"
  118.  
  119. MF_USER=$(while rdom; do
  120.    if [[ ${E} = "user" ]]; then
  121.        echo ${C}
  122.        exit
  123.    fi
  124. done < ${OUTPUT_FILE})  
  125.  
  126. # echo "User = ${MF_USER}"
  127.  
  128. for FILENAME in ${MF_FILES}; do
  129.  
  130. SHORT_FILENAME=$(basename "${FILENAME}")
  131. FILESIZE=$(stat -c%s "${FILENAME}")
  132.  
  133. wget -q --load-cookies ${COOKIE_FILE} --save-cookies ${COOKIE_FILE} --keep-session-cookies --referer="https://www.mediafire.com/myfile.php" \
  134.     --header="Content-Type: application/octet-stream" \
  135.     --header="X-Filename: ${SHORT_FILENAME}" \
  136.     --header="X-Filesize: ${FILESIZE}" \
  137.     --post-file="${FILENAME}" \
  138.     -O ${OUTPUT_FILE} "https://www.mediafire.com/douploadtoapi/?type=basic&ukey=${UKEY}&user=${MF_USER}&uploadkey=${FOLDERKEY}&filenum=0&uploader=0&MFULConfig=${MFULCONFIG}"
  139.  
  140. RESKEY=$(while rdom; do
  141.    if [[ ${E} = "key" ]]; then
  142.        echo ${C}
  143.        exit
  144.    fi
  145. done < ${OUTPUT_FILE})
  146.  
  147. # echo "${FILENAME} > ${RESKEY}"
  148.  
  149. # get result
  150.  
  151. RUN=1
  152.  
  153. while [ ${RUN} -eq 1 ]; do
  154. wget -q --load-cookies ${COOKIE_FILE} --save-cookies ${COOKIE_FILE} --keep-session-cookies --referer="https://www.mediafire.com/myfile.php" \
  155.     -O ${OUTPUT_FILE} "https://www.mediafire.com/basicapi/pollupload.php?key=${RESKEY}&MFULConfig=${MFULCONFIG}"
  156.  
  157. QUICKKEY=$(while rdom; do
  158.    if [[ ${E} = "quickkey" ]]; then
  159.        echo ${C}
  160.        exit
  161.    fi
  162. done < ${OUTPUT_FILE})
  163.  
  164. FILEERROR=$(while rdom; do
  165.    if [[ ${E} = "fileerror" ]]; then
  166.        echo ${C}
  167.        exit
  168.    fi
  169. done < ${OUTPUT_FILE})
  170.  
  171. # echo "${QUICKKEY} ; ${FILEERROR}"
  172.  
  173. RUN=0
  174. if [ "z${FILEERROR}" = "z" ] && [ "z${QUICKKEY}" = "z" ]; then
  175. RUN=1
  176.  
  177. fi
  178.  
  179. #
  180. #..
  181.  
  182. #...
  183. #... File too large. 1 0
  184. #... File too small. 2 0
  185. #... Archive is bad. 3 0
  186. #... Archive is bad or password protected. 4 0
  187. #... Virus found. 5 0  
  188. #... File already uploaded. 13 0  
  189. #... Archive has an unknown problem. 9 0
  190. #... Invalid image. 10 0
  191. #... File lost. 6 1
  192. #... Error scanning file. 7 1
  193. #... Disk error. 8,11 1
  194. #... Database error. 12 1
  195. #..
  196. #
  197.  
  198. case "${FILEERROR}" in
  199. 1) FILEERROR=" 1 : File too large."
  200. ;;
  201. 2) FILEERROR=" 2 : File too small."
  202. ;;
  203. 3) FILEERROR=" 3 : Archive is bad."
  204. ;;
  205. 4) FILEERROR=" 4 : Archive is bad or password protected."
  206. ;;
  207. 5) FILEERROR=" 5 : Virus found."
  208. ;;
  209. 13) FILEERROR="13 : File already uploaded."
  210. ;;
  211. 9) FILEERROR=" 9 : Archive has an unknown problem."
  212. ;;
  213. 10) FILEERROR="10 : Invalid image."
  214. ;;
  215. 6) FILEERROR=" 6 : File lost."
  216. ;;
  217. 7) FILEERROR=" 7 : Error scanning file."
  218. ;;
  219.  FILEERROR=" 8 : Disk error."
  220. ;;
  221. 11) FILEERROR="11 : Disk error."
  222. ;;
  223. 12) FILEERROR="12 : Database error."
  224. ;;
  225. *) FILEERROR="0 : Success."
  226. ;;
  227. esac
  228.  
  229. done
  230.  
  231. echo "${FILEERROR} | ${FILENAME} > ${QUICKKEY}"
  232. done
  233.  
  234. rm ${OUTPUT_FILE}
  235. rm ${COOKIE_FILE}

Lo he sacado de una página italiana. Dice que para usarlo, primero debes indicar el  user y password de mediafire:
Código:
mediafire@morzello.com -> mediafire%40morzello.com

Y para usarlo, si el script es mfup.sh:
Código
  1. ./mfup.sh myfile.txt all.* /root/repo/*

Otro bash que he encontrado (el plowshare):
Código
  1. #!/bin/bash
  2. #
  3. # mediafire.com module
  4. # Copyright (c) 2010 - 2011 Plowshare team
  5. #
  6. # This file is part of Plowshare.
  7. #
  8. # Plowshare is free software: you can redistribute it and/or modify
  9. # it under the terms of the GNU General Public License as published by
  10. # the Free Software Foundation, either version 3 of the License, or
  11. # (at your option) any later version.
  12. #
  13. # Plowshare is distributed in the hope that it will be useful,
  14. # but WITHOUT ANY WARRANTY; without even the implied warranty of
  15. # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  16. # GNU General Public License for more details.
  17. #
  18. # You should have received a copy of the GNU General Public License
  19. # along with Plowshare.  If not, see <http://www.gnu.org/licenses/>.
  20.  
  21. MODULE_MEDIAFIRE_REGEXP_URL="http://\(www\.\)\?mediafire\.com/"
  22. MODULE_MEDIAFIRE_DOWNLOAD_OPTIONS=""
  23. MODULE_MEDIAFIRE_UPLOAD_OPTIONS=""
  24. MODULE_MEDIAFIRE_LIST_OPTIONS=""
  25. MODULE_MEDIAFIRE_DOWNLOAD_CONTINUE=no
  26.  
  27. # Output a mediafire file download URL
  28. # $1: MEDIAFIRE_URL
  29. # stdout: real file download link
  30. mediafire_download() {
  31.    set -e
  32.    eval "$(process_options mediafire "$MODULE_MEDIAFIRE_DOWNLOAD_OPTIONS" "$@")"
  33.  
  34.    URL=$1
  35.    LOCATION=$(curl --head "$URL" | grep_http_header_location)
  36.    if match '^http://download' "$LOCATION"; then
  37.        log_notice "direct download"
  38.        echo "$LOCATION"
  39.        return 0
  40.    elif match 'errno=999$' "$LOCATION"; then
  41.        log_error "private link"
  42.        return 254
  43.    elif match 'errno=' "$LOCATION"; then
  44.        log_error "site redirected with an unknown error"
  45.        return 1
  46.    fi
  47.  
  48.    COOKIESFILE=$(create_tempfile)
  49.    PAGE=$(curl -L -c $COOKIESFILE "$URL" | sed "s/>/>\n/g")
  50.    COOKIES=$(< $COOKIESFILE)
  51.    rm -f $COOKIESFILE
  52.  
  53.    test "$PAGE" || return 1
  54.  
  55.    if matchi 'Invalid or Deleted File' "$PAGE"; then
  56.        log_debug "invalid or deleted file"
  57.        return 254
  58.    fi
  59.  
  60.    if test "$CHECK_LINK"; then
  61.        match 'class="download_file_title"' "$PAGE" && return 255 || return 1
  62.    fi
  63.  
  64.    FILE_URL=$(get_ofuscated_link "$PAGE" "$COOKIES") ||
  65.        { log_error "error running javascript code"; return 1; }
  66.  
  67.    echo "$FILE_URL"
  68. }
  69.  
  70. get_ofuscated_link() {
  71.    local PAGE=$1
  72.    local COOKIES=$2
  73.    BASE_URL="http://www.mediafire.com"
  74.  
  75.    detect_javascript >/dev/null || return 1
  76.  
  77.    # Carriage-return in eval is not accepted by Spidermonkey, that's what the sed fixes
  78.    PAGE_JS=$(echo "$PAGE" | sed -n '/<input id="pagename"/,/<\/script>/p' |
  79.              grep "var PageLoaded" | head -n1 | sed "s/var cb=Math.random().*$/}/") ||
  80.        { log_error "cannot find main javascript code"; return 1; }
  81.    FUNCTION=$(echo "$PAGE" | parse 'DoShow("notloggedin_wrapper")' \
  82.               "cR();[[:space:]]*\([[:alnum:]]\+\)();") ||
  83.      { log_error "cannot find start function"; return 1; }
  84.    log_debug "JS function: $FUNCTION"
  85.  
  86.    { read DIVID; read DYNAMIC_PATH; } < <(echo "
  87.        noop = function() { }
  88.        // Functions and variables used but defined elsewhere, fake them.
  89.        DoShow = Eo = aa = noop;
  90.        fu = StartDownloadTried = pk = 0;
  91.  
  92.        // setTimeout() is being used to 'hide' function calls.
  93.        function setTimeout(func, time) {
  94.          func();
  95.        }
  96.  
  97.        // Record accesses to the DOM
  98.        namespace = {};
  99.        var document = {
  100.            getElementById: function(id) {
  101.                if (!namespace[id])
  102.                  namespace[id] = {style: ''}
  103.                return namespace[id];
  104.            },
  105.        };
  106.        $PAGE_JS
  107.        $FUNCTION();
  108.        // DIV id is string of hexadecimal values of length 32
  109.        for (key in namespace) {
  110.            if (key.length == 32)
  111.                print(key);
  112.        }
  113.        print(namespace.workframe2.src);
  114.        " | javascript) ||
  115.        { log_error "error running javascript in main page"; return 1; }
  116.    log_debug "DIV id: $DIVID"
  117.    log_debug "Dynamic page: $DYNAMIC_PATH"
  118.    DYNAMIC=$(curl -b <(echo "$COOKIES") "$BASE_URL/$DYNAMIC_PATH")
  119.    DYNAMIC_JS=$(echo "$DYNAMIC" | sed -n "/<script/,/<\/script>/p" | sed -e '1d;$d')
  120.  
  121.    FILE_URL=$(echo "
  122.        function alert(x) {print(x); }
  123.        var namespace = {};
  124.        var parent = {
  125.            document: {
  126.                getElementById: function(id) {
  127.                    namespace[id] = {};
  128.                    return namespace[id];
  129.                },
  130.            },
  131.            aa: function(x, y) { print (x,y);},
  132.        };
  133.        $DYNAMIC_JS
  134.        dz();
  135.        print(namespace['$DIVID'].innerHTML);
  136.    " | javascript | parse_attr "href")  ||
  137.        { log_error "error running javascript in download page"; return 1; }
  138.    echo $FILE_URL
  139. }
  140.  
  141. # List a mediafire shared file folder URL
  142. # $1: MEDIAFIRE_URL (http://www.mediafire.com/?sharekey=...)
  143. # stdout: list of links
  144. mediafire_list() {
  145.    set -e
  146.    eval "$(process_options mediafire "$MODULE_MEDIAFIRE_LIST_OPTIONS" "$@")"
  147.    URL=$1
  148.  
  149.    PAGE=$(curl "$URL" | sed "s/>/>\n/g")
  150.  
  151.    match '/js/myfiles.php/' "$PAGE" ||
  152.        { log_error "not a shared folder"; return 1; }
  153.  
  154.    local JS_URL=$(echo "$PAGE" | parse 'LoadJS(' '("\(\/js\/myfiles\.php\/[^"]*\)')
  155.    local DATA=$(curl "http://mediafire.com$JS_URL" | sed "s/\([)']\);/\1;\n/g")
  156.  
  157.    # get number of files
  158.    NB=$(echo "$DATA" | parse '^var oO' "'\([[:digit:]]*\)'")
  159.  
  160.    log_debug "There is $NB file(s) in the folder"
  161.  
  162.    # First pass : print debug message & links (stdout)
  163.    # es[0]=Array('1','1',3,'te9rlz5ntf1','82de6544620807bf025c12bec1713a48','my_super_file.txt','14958589','14.27','MB','43','02/13/2010', ...
  164.    while [[ "$NB" -gt 0 ]]; do
  165.        ((NB--))
  166.        LINE=$(echo "$DATA" | parse "es\[$NB\]=" "Array(\(.*\));")
  167.        FID=$(echo "$LINE" | cut -d, -f4 | tr -d "'")
  168.        FILENAME=$(echo "$LINE" | cut -d, -f6 | tr -d "'")
  169.        log_debug "$FILENAME"
  170.        echo "http://www.mediafire.com/?$FID"
  171.    done
  172.  
  173.    return 0
  174. }
  175.  
  176. # mediafire_upload FILE [DESTFILE]
  177. #
  178. # stdout: mediafire download link
  179. mediafire_upload() {
  180.    eval "$(process_options mediafire "$MODULE_MEDIAFIRE_UPLOAD_OPTIONS" "$@")"
  181.  
  182.    local FILE=$1
  183.    local DESTFILE=${2:-$FILE}
  184.    local BASE_URL="http://www.mediafire.com"
  185.    local COOKIESFILE=$(create_tempfile)
  186.    local PAGEFILE=$(create_tempfile)
  187.  
  188.    log_debug "Get ukey cookie"
  189.    curl -c $COOKIESFILE "$BASE_URL" >/dev/null ||
  190.        { log_error "Couldn't get homepage!"; rm -f $COOKIESFILE $PAGEFILE; return 1; }
  191.  
  192.    log_debug "Get uploader configuration"
  193.    curl -b $COOKIESFILE "$BASE_URL/basicapi/uploaderconfiguration.php" > $PAGEFILE ||
  194.        { log_error "Couldn't get uploader configuration!"; rm -f $COOKIESFILE $PAGEFILE; return 1; }
  195.  
  196.    local UKEY=$(parse_quiet ukey '.*ukey[ \t]*\(.*\)' < $COOKIESFILE)
  197.    local TRACK_KEY=$(parse_quiet trackkey '.*<trackkey>\(.*\)<\/trackkey>.*' < $PAGEFILE)
  198.    local FOLDER_KEY=$(parse_quiet folderkey '.*<folderkey>\(.*\)<\/folderkey>.*' < $PAGEFILE)
  199.    local MFUL_CONFIG=$(parse_quiet MFULConfig '.*<MFULConfig>\(.*\)<\/MFULConfig>.*' < $PAGEFILE)
  200.    log_debug "trackkey: $TRACK_KEY"
  201.    log_debug "folderkey: $FOLDER_KEY"
  202.    log_debug "ukey: $UKEY"
  203.    log_debug "MFULConfig: $MFUL_CONFIG"
  204.  
  205.    if [ -z "$UKEY" -o -z "$TRACK_KEY" -o -z "$FOLDER_KEY" -o -z "$MFUL_CONFIG" ]; then
  206.        log_error "Can't parse uploader configuration!"
  207.        rm -f $COOKIESFILE $PAGEFILE
  208.        return 1
  209.    fi
  210.  
  211.    log_debug "Uploading file"
  212.    local UPLOAD_URL="$BASE_URL/basicapi/doupload.php?track=$TRACK_KEY&ukey=$UKEY&user=x&uploadkey=$FOLDER_KEY&upload=0"
  213.    curl_with_log -b $COOKIESFILE \
  214.        -F "Filename=$(basename_file "$DESTFILE")" \
  215.        -F "Upload=Submit Query" \
  216.        -F "Filedata=@$FILE;filename=$(basename_file "$DESTFILE")" \
  217.        $UPLOAD_URL > $PAGEFILE ||
  218.        { log_error "Couldn't upload file!"; rm -f $COOKIESFILE $PAGEFILE; return 1; }
  219.  
  220.    local UPLOAD_KEY=$(parse_quiet key '.*<key>\(.*\)<\/key>.*' < $PAGEFILE)
  221.    log_debug "key: $UPLOAD_KEY"
  222.  
  223.    if [ -z "$UPLOAD_KEY" ]; then
  224.        log_error "Can't get upload key!"
  225.        rm -f $COOKIESFILE $PAGEFILE
  226.        return 1
  227.    fi
  228.  
  229.    local COUNTER=0
  230.    while [ -z "$(grep 'No more requests for this key' $PAGEFILE)" ]; do
  231.        if [[ $COUNTER -gt 50 ]]; then
  232.            log_error "File verification timeout!"
  233.            rm -f $COOKIESFILE $PAGEFILE
  234.            return 1
  235.        fi
  236.  
  237.        log_debug "Polling for status update"
  238.        curl -b $COOKIESFILE "$BASE_URL/basicapi/pollupload.php?key=$UPLOAD_KEY&MFULConfig=$MFUL_CONFIG" > $PAGEFILE
  239.        sleep 1
  240.        let COUNTER++
  241.    done
  242.  
  243.    local QUICK_KEY=$(parse_quiet quickkey '.*<quickkey>\(.*\)<\/quickkey>.*' < $PAGEFILE)
  244.    log_debug "quickkey: $QUICK_KEY"
  245.  
  246.    if [ -z "$QUICK_KEY" ]; then
  247.        log_error "Can't get quick key!"
  248.        rm -f $COOKIESFILE $PAGEFILE
  249.        return 1
  250.    fi
  251.  
  252.    rm -f $COOKIESFILE $PAGEFILE
  253.    echo "$BASE_URL/?$QUICK_KEY"
  254. }
  255.  

Y he probado el Uniupload y es verdad, no funciona.

Ahora supongo que debes estar pensando:
Primero: he dicho que ya he visto el plowshare!!! y Segundo: quiero un binario!

Pues sí, tienes toda la razón:

He encontrado una herramienta llamada SHC Compiler, y parece que es la única forma de hacerlo:
http://www.rootninja.com/shc-compiler-to-compile-bash-shell-scripts-into-binary/

Según esto:

En un entorno *NIX...
Código
  1. make
  2. make install
  3. install -c /usr/local/bin -s shc /usr/local/bin
  4. install -c /usr/local/man/man1 -s shc.1 /usr/local/man/man1

y para compilar...
Código
  1. shc -v -r -T -f filename.sh

He buscado en foros ingleses, italianos e incluso alemanes... y en algunos pone que no funciona si no ofuscas el source, que necesitas gcc-compiler...




Siento que no pueda hacer más por ti, porque no tengo conocimientos suficientes y además no puedo probarlo porque mi laptop con Ubuntu está escacharrada...

Mírate lo del SHC, a ver si te sirve.

PD:Llevo desde las 23:15 buscando...

Saludos!
Waaya


EDIT: He estado buscando algún script en Python y he encontrado uno que puedes subir archivos en FTP. El problema es que desde la página oficial dicen que no se puede, por el momento, subir archivos a Mediafire desde FTP (lo que creo que podrías hacer incluso con un batch).

Parece que para subir por FTP a Mediafire deberás buscarte algo para pasar el rato  ;) , porque creo que va a tardar...
332  Foros Generales / Dudas Generales / Re: Reproductor de windows media en: 12 Junio 2011, 16:00 pm
¿No se deberá a que se ha terminado la licencia? A veces pasa... ¿qué versión de Windows Media Player utilizas?

Bájate el VLC Media Player o el RealPlayer, son mucho mejores.

Waaya
333  Sistemas Operativos / Windows / Re: Guardar valor de las claves del Registro en .txt en: 12 Junio 2011, 14:43 pm
pitoloko, la verdad es que había usado reg export, pero no había pensado de hacerlo con reg query. Tu batch me va perfecto.

Skapunky, una pregunta: ¿cómo puedo cargar en un textbox el valor y guardarlo en un txt?  :-[ es que no sé una ***** de VB  :(

De todos modos, ¡gracias a los dos!
Waaya
334  Sistemas Operativos / Windows / Guardar valor de las claves del Registro en .txt en: 12 Junio 2011, 13:12 pm
Hola a todos! Básicamente es esto: ¿cómo se puede guardar el contenido o valor de una clave conocida del Registro en un archivo de texto? He leído un post donde Hendrix preguntaba algo parecido, pero no me vale.

Si tuviéramos una clave en el Registro:
HKCU\Control Panel\Desktop\ConvertedWallpaper

cuyo valor fuera:
C:\Wallpapers\mi_fondo.bmp

Qué forma hay para que en un archivo de texto aparezca
Código:
El valor de la clave "HKCU\Control Panel\Desktop\ConvertedWallpaper" es "C:\Wallpapers\mi_fondo.bmp"
??


¿Se puede hacer con un .bat? ¿Un VBScript? ¿En Python?
Gracias!

Waaya
335  Foros Generales / Noticias / Re: Microsoft Security Essentials, el antivirus más utilizado en el mundo en: 11 Junio 2011, 17:05 pm
Tzhed, en mi otro portátil uso el Others Antivirus y va de maravilla  :xD
336  Foros Generales / Noticias / Re: Microsoft Security Essentials, el antivirus más utilizado en el mundo en: 11 Junio 2011, 15:59 pm
Mi notebook con Win XP SP3 lleva MSE instalado por defecto y, la verdad, va muy bien. Supongo que su heurística no es tan avanzada como la del Nod32, por ejemplo, pero es funcional. Me detectó el malware del taller de Skapunky porque se agregaba al registro... normalmente tengo que desactivarlo porque no me deja trabajar en paz, detecta un montón de cosas.

La ironía es que un .bat que se agregue al Registro de Windows e intente borrar hal.dll, por ejemplo, no lo detecta... bien por Microsoft! :laugh:

Saludos!
Waaya
337  Seguridad Informática / Hacking / Re: Duda con el SSS (Escaneador de Puertos) en: 10 Junio 2011, 12:43 pm
Vaya, perfecto. No sabía lo del mod_ssl BoF. ¡Gracias por postearlo aquí!

Un saludo!
Waaya
338  Foros Generales / Noticias / Re: Vulnerabilidad en los visualizadores de archivos de IBM Lotus Notes en: 7 Junio 2011, 09:36 am
Vaya, acabo de bajarme un exploit para explotar esta vulnerabilidad y ahora veo esto...

El source del exploit está publicado en www.exploit-db.com.

Saludos!
339  Foros Generales / Foro Libre / Re: Leer partituras en: 6 Junio 2011, 20:38 pm
Jeje... me encanta este foro. No sé para qué me paso 12 horas semanales yendo a un Conservatorio si vosotros sabéis más XD  :laugh: :laugh: . La verdad es que la flauta dulce... la melodía que has linkeado no la puede tocar... al menos si no sabes un poco. Además, deberías bajarla toda de octava, pero tampoco baja del Do3...

ODIO LA FLAUTA DULCE
PD: La breve también se llama cuadrada . Vale 8 tiempos (el doble de la redonda) y sólo aparece en compases 4/2 o más grandes.
340  Foros Generales / Foro Libre / Re: Leer partituras en: 6 Junio 2011, 16:28 pm
Eeeeh...  :o :o
Bueno...

O sea que quieres las notas apuntadas encima la partitura, ¿no?

SI- LA- | SOL-- SOL- LA- SOL- RE- SI- DO- | RE- MI- RE- si- RE-- SOL- LA- |

SI-- SI-- SI- LA- SOL- LA- | SI-- LA-- LA-- SI- LA- | SOL-- SOL- LA- SOL- RE- si- DO-  | ......

He hecho hasta el compás 6 porque "traducir" partituras así es (o desde el punto de vista de un músico) pervertir la pieza.

Si quieres saber cómo suena:
a) Descárgate el MuseScore y cópiala, reprodúcela
b) Busca algún MIDI por Internet
c) Espérate a que la copie yo... (puede tardar un poco ...)

Por cierto: al menos en clave de Sol en 2a, las notas se escriben así:


3: do re mi fa sol la si 4: do' re' mi' fa' sol' la' si' 5: do'' re'' mi'' fa'' sol'' la'' si'' ...
y así sucesivamente.

El Do3 es el Do de justo debajo del pentagrama, lo pongo porque las notas se marcan por [nota] [octava("la de toda la vida" es la 3)] [alteración]



Perdona mi parrafada...
Saludos!


PD: ¿Tocas la flauta, no? ¿¿¿Conoces a Ian Anderson???
Páginas: 1 ... 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 [34] 35 36 37
WAP2 - Aviso Legal - Powered by SMF 1.1.21 | SMF © 2006-2008, Simple Machines